Get trade history
curl --request GET \
--url https://api.example.com/api/graph/v1/execution/historyimport requests
url = "https://api.example.com/api/graph/v1/execution/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/execution/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trades": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"direction": "long",
"execution_mode": "assisted",
"status": "strategy_generated",
"debate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy_name": "<string>",
"instrument_type": "option",
"contract_symbol": "<string>",
"entry_order_id": "<string>",
"entry_price": "<string>",
"entry_quantity": 123,
"entry_filled_at": "2023-11-07T05:31:56Z",
"exit_order_id": "<string>",
"exit_price": "<string>",
"exit_quantity": 123,
"exit_filled_at": "2023-11-07T05:31:56Z",
"exit_reason": "<string>",
"realized_pnl": "<string>",
"realized_pnl_pct": "<string>",
"max_favorable_excursion": "<string>",
"max_adverse_excursion": "<string>",
"risk_dollars": "<string>",
"initial_stop": "<string>",
"current_stop": "<string>",
"trading_mode": "paper",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 0,
"stats": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Execution
Get trade history
Retrieve closed trades with P&L and aggregate statistics.
GET
/
api
/
graph
/
v1
/
execution
/
history
Get trade history
Query Parameters
Max trades to return
Required range:
1 <= x <= 200Number of records to skip
Required range:
x >= 0Start date (ISO, e.g. 2026-01-01)
End date (ISO, e.g. 2026-12-31)
Response
Trade history returned